Page MenuHomePhabricator

Call to a member function getWarningMessageText() on a non-object in php-1.23wmf20/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php
Closed, ResolvedPublic

Description

PHP Fatal error: Call to a member function getWarningMessageText() on a non-object in /usr/local/apache/common-local/php-1.23wmf20/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php on line 167

First seen in logstash on 2014-04-01T19:10:09.000Z.

Representative stacktrace:

[2014-04-02 07:40:32] Fatal error: Call to a member function getWarningMessageText() on a non-object at /usr/local/apache/common-local/php-1.23wmf20/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php on line 167
Server: mw1083
Method: GET
URL: http://km.wiktionary.org/wiki/ពិសេស:MobileDiff/37051
Backtrace:
#0 /usr/local/apache/common-local/php-1.23wmf20/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php(167): SpecialMobileDiff::showDiff()
#1 /usr/local/apache/common-local/php-1.23wmf20/extensions/MobileFrontend/includes/specials/SpecialMobileDiff.php(105): SpecialMobileDiff->showDiff()
#2 /usr/local/apache/common-local/php-1.23wmf20/extensions/MobileFrontend/includes/specials/MobileSpecialPage.php(39): SpecialMobileDiff->executeWhenAvailable('37051')
#3 /usr/local/apache/common-local/php-1.23wmf20/includes/specialpage/SpecialPage.php(379): MobileSpecialPage->execute('37051')
#4 /usr/local/apache/common-local/php-1.23wmf20/includes/specialpage/SpecialPageFactory.php(502): SpecialPage->run('37051')
#5 /usr/local/apache/common-local/php-1.23wmf20/includes/Wiki.php(285): SpecialPageFactory::executePath(Object(Title), Object(RequestContext))
#6 /usr/local/apache/common-local/php-1.23wmf20/includes/Wiki.php(588): MediaWiki->performRequest()
#7 /usr/local/apache/common-local/php-1.23wmf20/includes/Wiki.php(447): MediaWiki->main()
#8 /usr/local/apache/common-local/php-1.23wmf20/index.php(49): MediaWiki->run()
#9 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')
#10 {main}


Version: unspecified
Severity: normal

Details

Reference
bz63427

Event Timeline

bzimport raised the priority of this task from to Needs Triage.
bzimport set Reference to bz63427.
bzimport added a subscriber: Unknown Object (MLST).
bd808 created this task.Apr 2 2014, 4:29 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Mingle card https://wikimedia.mingle.thoughtworks.com/projects/mobile/cards/1836

Change 123420 had a related patch set uploaded by MaxSem:
Fix Special:MobileDiff fatal

https://gerrit.wikimedia.org/r/123420

Change 123420 merged by jenkins-bot:
Fix Special:MobileDiff fatal

https://gerrit.wikimedia.org/r/123420

Change 123442 had a related patch set uploaded by MaxSem:
Fix Special:MobileDiff fatal

https://gerrit.wikimedia.org/r/123442

Change 123442 merged by jenkins-bot:
Fix Special:MobileDiff fatal

https://gerrit.wikimedia.org/r/123442